Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZMenu Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| fill (&$value)
& | path ( $menuID=0)
| id ()
& | name ()
| setName (&$value)
& | link ()
| setLink (&$value)
| setParent (&$value)
| parent ()
| type ()
| setType ( $value)

## Static Public Member Functions
static & | getAll ( $offset=0, $limit=20)
static & | getByParent ( $parent=0, $offset=0, $limit=20)
static | count ( $parent=0)

## Public Attributes
| $ID
| $Name
| $Link
| $Type
| $ParentID

## Detailed Description

! ezmail ezmail documentation.

Example code:

Definition at line 44 of file ezmenu.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMenu::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZMenu object.

If $id is set the object's values are fetched from the database.

Definition at line 52 of file ezmenu.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count()

static eZMenu::count | ( |  | $parent = `0` | ) |
| static

Returns the total count.

Definition at line 236 of file ezmenu.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), getAll(), and getByParent().

## ◆ delete()

eZMenu::delete | ( |  | $catID = `-1` | ) |

Deletes a ezmenu object from the database.

Definition at line 118 of file ezmenu.php.

References $db, $ID, $ret, and eZDB\globalDatabase().

## ◆ fill()

eZMenu::fill | ( | & | $value | ) |

Fills in information to the object taken from the array.

Definition at line 165 of file ezmenu.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZMenu::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 140 of file ezmenu.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZMenu::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |
| static

Returns all the categories found in the database.

The categories are returned as an array of ezmenu objects.

Definition at line 180 of file ezmenu.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ getByParent()

static& eZMenu::getByParent | ( |  | $parent = `0`,
|  |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |
| static

Returns all the categories found in the database.

The categories are returned as an array of ezmenu objects.

Definition at line 206 of file ezmenu.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ id()

eZMenu::id | ( |  | ) |

Returns the object ID to the menu. This is the unique ID stored in the database.

Definition at line 292 of file ezmenu.php.

References $ID.

## ◆ link()

& eZMenu::link | ( |  | ) |

Returns the url link of the menu.

Definition at line 316 of file ezmenu.php.

References $Link.

## ◆ name()

& eZMenu::name | ( |  | ) |

Returns the name of the menu.

Definition at line 300 of file ezmenu.php.

References $Name.

## ◆ parent()

eZMenu::parent | ( |  | ) |

Returns the parent

Definition at line 343 of file ezmenu.php.

## ◆ path()

& eZMenu::path | ( |  | $menuID = `0` | ) |

Returns the current path as an array of arrays.

The array is built up like: array( array( id, name ), array( id, name ) );

See detailed description for an example of usage.

Definition at line 260 of file ezmenu.php.

References $ID, and $menu.

## ◆ setLink()

eZMenu::setLink | ( | & | $value | ) |

Sets the description.

Definition at line 324 of file ezmenu.php.

## ◆ setName()

eZMenu::setName | ( | & | $value | ) |

Sets the description.

Definition at line 308 of file ezmenu.php.

References Name.

## ◆ setParent()

eZMenu::setParent | ( | & | $value | ) |

Sets the parent.

Definition at line 332 of file ezmenu.php.

## ◆ setType()

eZMenu::setType | ( |  | $value | ) |

Sets the type of the menu. 1 = header 2 = item

Definition at line 370 of file ezmenu.php.

## ◆ store()

eZMenu::store | ( |  | ) |

Stores a eZMenu object to the database.

Definition at line 69 of file ezmenu.php.

References $db, $link, $name, $query, $res, eZDB\globalDatabase(), and Name.

## ◆ type()

eZMenu::type | ( |  | ) |

Returns the menu type 1 = header 2 = item

Definition at line 360 of file ezmenu.php.

References $Type.

## Member Data Documentation

## ◆ $ID

eZMenu::$ID

Definition at line 375 of file ezmenu.php.

Referenced by __construct(), delete(), id(), and path().

## ◆ $Link

eZMenu::$Link

Definition at line 377 of file ezmenu.php.

Referenced by link().

## ◆ $Name

eZMenu::$Name

Definition at line 376 of file ezmenu.php.

Referenced by name().

## ◆ $ParentID

eZMenu::$ParentID

Definition at line 379 of file ezmenu.php.

## ◆ $Type

eZMenu::$Type

Definition at line 378 of file ezmenu.php.

Referenced by type().

The documentation for this class was generated from the following file:

- ezmenu.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.